/*
 * Copyright (c) 2016-2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <pthread.h>
#include "sa_common.h"
#include "adaptor_setting.h"
#include "adaptor_interface.h"

int main(int argc, char *argv[])
{
	pthread_t t_setting = pthread_self();
	pthread_t t_api =  pthread_self();
	int status;
	int ret;

	_D("pthread_create >>> SETTING_MAIN !!!");
	ret = pthread_create(&t_setting, NULL, &setting_main_thread, (void *)NULL);
	if (ret < 0) {
		_E("[SETTING_MAIN] thread create error (ret=%d)", ret);
		return -1;
	}

	_D("pthread_create >>> API_MAIN !!!");
	ret = pthread_create(&t_api, NULL, &api_main_thread, (void *)NULL);
	if (ret < 0) {
		_E("[API_MAIN] thread create error (ret=%d)", ret);
		return -1;
	}

	pthread_join(t_setting, (void **)&status);
	pthread_join(t_api, (void **)&status);

	return 0;
}
