#! /bin/sh
set -e

# NOTE
# build script for cli interface with cross-compile environment
#		for arm 	: ./build.sh arm
#		for amd64 	: ./build.sh
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


# build
ADAPTOR_LIB_INCLUDE="../install/include/adaptor/"
JSON_LIB_INCLUDE="../install/include/json-c/"

if [ "$1" = "arm" ]; then
	echo "****************************"
	echo "Target Binary arch is ARM"
	echo "****************************"
	EXECUTABLE_NAME_ADD="-arm"
	BUILD_CMD="arm-linux-gnueabi-gcc"
	JSON_LIB="../install/arm/lib/"
	ADAPTOR_LIB="../install/arm/lib/"
else
	echo "****************************"
	echo "Target Binary arch is amd64"
	echo "****************************"
	BUILD_CMD="gcc"
	JSON_LIB="../install/amd64/lib/"
	ADAPTOR_LIB="../install/amd64/lib/"
fi

echo "****************************"
echo "test binary for server"
echo "****************************"
EXECUTABLE_NAME="test_server"

$BUILD_CMD -static -g server.c server_cb.c -I$JSON_LIB_INCLUDE -I$ADAPTOR_LIB_INCLUDE \
-Wl,-Bstatic -L$ADAPTOR_LIB -l adaptor \
-Wl,-Bstatic -L$JSON_LIB -l json-c \
-l pthread \
-o $EXECUTABLE_NAME$EXECUTABLE_NAME_ADD

echo "\033[47;34mbuilt successfully... \033[0m"
file $EXECUTABLE_NAME$EXECUTABLE_NAME_ADD


echo "****************************"
echo "test binary for client"
echo "****************************"
EXECUTABLE_NAME="test_client"

$BUILD_CMD -static -g client.c -I$JSON_LIB_INCLUDE -I$ADAPTOR_LIB_INCLUDE \
-Wl,-Bstatic -L$ADAPTOR_LIB -l adaptor \
-Wl,-Bstatic -L$JSON_LIB -l json-c \
-l pthread \
-o $EXECUTABLE_NAME$EXECUTABLE_NAME_ADD

echo "\033[47;34mbuilt successfully... \033[0m"
file $EXECUTABLE_NAME$EXECUTABLE_NAME_ADD
