#! /bin/sh
#set -e

WORK_DIR=/etc/dockzen/sc
AGENT_JSON=$WORK_DIR/dockzen_agent.json
INIT_JSON=$WORK_DIR/factory_init.json

stop() {
	echo "Stop docker service of dockzen-agent"
	if [ ! -z "$(docker service ls -q)" ]; then
		docker service rm $(docker service ls -q)
	fi
	docker system prune -f
	echo "Stop dockzen-launcher.service"
	systemctl status dockzen-launcher.service | grep Active
	systemctl stop dockzen-launcher.service
	systemctl status dockzen-launcher.service | grep Active
	echo "Change symbolic link of dockzen_agent.json"
	rm $AGENT_JSON
	echo "Clear init flag"
	rm $INIT_JSON
	echo "Start dockzen-launcher.service"
	systemctl start dockzen-launcher.service
	echo "Done"
}

restart() {
	echo "Start dockzen-launcher.service"
	systemctl start dockzen-launcher.service
}

if [ "$1" == "noop" ]; then
	echo "---------------------------------------------------"
	echo "  clear agent as no-operation"
	echo "---------------------------------------------------"
	stop
	restart
	echo "Cleared !!!"
elif [ "$1" == "show" ]; then
	echo "---------------------------------------------------"
	echo "  show current agent"
	echo "---------------------------------------------------"
	if [ -f "$AGENT_JSON" ]; then
		readlink $AGENT_JSON
	else
		echo "empty file ($AGENT_JSON)"
	fi
	echo "Completed !!!"
elif [ -f "$1" ]; then
	echo "---------------------------------------------------"
	echo "  change agent target"
	echo "---------------------------------------------------"
	stop
	echo "Change symbolic link of dockzen_agent.json(-->$1)"
	ln -s $1 $AGENT_JSON
	restart
	echo "Done !!! linked to \"$(readlink $AGENT_JSON)\""
else
	echo "check input parameter"
	echo "Usage 1 : ./agent_set noop (disable agent)"
	echo "Usage 2 : ./agent_set show (display current agent config file)"
	echo "Usage 3 : ./agent_set [json file] (set agent config file)"
fi
 